Subject: bug#78069: closed (Re: [PATCH 0/1] libsecret: Add bin output.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Apr 2025 22:28:02 +0000

Your bug report

#78069: [PATCH 0/1] libsecret: Add bin output.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78069: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78069
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/1] libsecret: Add bin output.
From: Gabriel Santos <[email-masked]>
To: [email-masked]
Cc: Gabriel Santos <[email-masked]>, Maxim Cournoyer <[email-masked]>, Liliana Marie Prikler <[email-masked]>
Date: Tue, 29 Apr 2025 19:27:47 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Sending message to [email-masked], issue closed as there's
not a lot of benefits in doing this.

Subject: [PATCH 0/1] libsecret: Add bin output.
From: Gabriel Santos <[email-masked]>
To: [email-masked]
Cc: Gabriel Santos <[email-masked]>
Date: Fri, 25 Apr 2025 20:59:11 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

After reading a Reddit post[1], I discovered that I could easily integrate
KeePassXC with msmtp and potentially other command-line tools by using its
Secret Service integration.

This requires the use of the secret-tool command, from the libsecret package.
Since I only need the command, installing the whole package seems a bit
too much.

To solve this, this patch creates a new "bin" output for libsecret. The only
thing missing is the man page, not sure how I would go about adding it to the
output. Please let me know and I'll send a v2.

[1] <https://redlib.freedit.eu/r/linux/comments/ehfhud/keyring_alternative_access_keepassxc_entries_of/>

Gabriel Santos (1):
  gnu: libsecret: Add bin output.

 gnu/packages/gnome.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

base-commit: 7ff20b9e94c429f1160bd8f0db86b153a03e4683
-- 
2.49.0